Norton 360 Help Center

Welcome to the Norton 360 Help Center

The Norton 360 Help Center provides a comprehensive guide to all of the product features and tasks that you can complete. To find the information you are looking for in the Norton 360 Help Center, click one of the tabs in the left pane. Your options are:

Contents | Displays the Help by topic
Index | Lists Help topics in alphabetical order by key word
Search | Opens a search field in which you can enter a word or phrase


Help topic not found

The Help file you are looking for could not be found. You have three options:

  • Search Help for the topic
  • Connect to the Symantec Knowledgebase Web site and search for the topic there
  • Reinstall the product